{{- define "baremetal-provider.name" -}}
baremetal-provider
{{- end -}}

{{- define "baremetal-provider.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/*
Generate full image paths for KaaS CDN
*/}}

{{- define "cluster_api_provider_baremetal.image" -}}
{{- if (.Values.cluster_api_provider_baremetal.image.fullName) -}}
{{- .Values.cluster_api_provider_baremetal.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.cluster_api_provider_baremetal.image.repository .Values.cluster_api_provider_baremetal.image.name .Values.cluster_api_provider_baremetal.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "kube_rbac_proxy.image" -}}
{{- if (.Values.kube_rbac_proxy.image.fullName) -}}
{{- .Values.kube_rbac_proxy.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.kube_rbac_proxy.image.repository .Values.kube_rbac_proxy.image.name .Values.kube_rbac_proxy.image.tag -}}
{{- end -}}
{{- end -}}
